# -*- encoding: utf-8 -*-
# stub: json-jwt 1.16.7 ruby lib

Gem::Specification.new do |s|
  s.name = "json-jwt".freeze
  s.version = "1.16.7".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["nov matake".freeze]
  s.date = "2024-10-15"
  s.description = "JSON Web Token and its family (JSON Web Signature, JSON Web Encryption and JSON Web Key) in Ruby".freeze
  s.email = ["nov@matake.jp".freeze]
  s.files = [".github/FUNDING.yml".freeze, ".github/workflows/spec.yml".freeze, ".gitignore".freeze, ".gitmodules".freeze, ".rspec".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "VERSION".freeze, "json-jwt.gemspec".freeze, "lib/json/jose.rb".freeze, "lib/json/jwe.rb".freeze, "lib/json/jwk.rb".freeze, "lib/json/jwk/jwkizable.rb".freeze, "lib/json/jwk/set.rb".freeze, "lib/json/jwk/set/fetcher.rb".freeze, "lib/json/jws.rb".freeze, "lib/json/jwt.rb".freeze]
  s.homepage = "https://github.com/nov/json-jwt".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.5.16".freeze
  s.summary = "JSON Web Token and its family (JSON Web Signature, JSON Web Encryption and JSON Web Key) in Ruby".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<activesupport>.freeze, [">= 4.2".freeze])
  s.add_runtime_dependency(%q<base64>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<bindata>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<aes_key_wrap>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<faraday>.freeze, ["~> 2.0".freeze])
  s.add_runtime_dependency(%q<faraday-follow_redirects>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rake>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<webmock>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rspec-its>.freeze, [">= 0".freeze])
end

